Package org.apache.cxf.headers

# Class Header

java.lang.Object
org.apache.cxf.headers.Header

public class Header extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Header.Direction`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `HEADER_LIST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Header(QName q, Object o)`
  `Header(QName q, Object o, DataBinding b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataBinding`
  `getDataBinding()`
  `Header.Direction`
  `getDirection()`
  `QName`
  `getName()`
  `Object`
  `getObject()`
  `void`
  `setDataBinding(DataBinding dataBinding)`
  `void`
  `setDirection(Header.Direction hdrDirection)`
  `void`
  `setName(QName name)`
  `void`
  `setObject(Object object)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HEADER_LIST

    public static final String HEADER_LIST

- ## Constructor Details

  - ### Header

    public Header(QName q, Object o)

  - ### Header

    public Header(QName q, Object o, DataBinding b)

- ## Method Details

  - ### getDataBinding

    public DataBinding getDataBinding()

  - ### setDataBinding

    public void setDataBinding(DataBinding dataBinding)

  - ### getName

    public QName getName()

  - ### setName

    public void setName(QName name)

  - ### getObject

    public Object getObject()

  - ### setObject

    public void setObject(Object object)

  - ### setDirection

    public void setDirection(Header.Direction hdrDirection)

  - ### getDirection

    public Header.Direction getDirection()